Bug 20742 - XFree86 MGA driver locks PCI bus
Summary: XFree86 MGA driver locks PCI bus
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-13 04:07 UTC by Ed McKenzie
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-20 00:29:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ed McKenzie 2000-11-13 04:07:28 UTC
Opaque window dragging under XFree86 4 causes sound to get jittery on an MGA g200. This is almost certainly the mga driver locking the PCI bus for imaginary performance gains in bus transfer speed. This wasn't reproducible under 3.3.6.



Changing esd priority to -20 doesn't make things any better.

Comment 1 Alan Cox 2001-01-10 22:44:23 UTC
This is a hardware problem with the MGA cards. Matrox lock the PCI bus when the
fifo is full, apparently as a speed hack.

XFree 4.0 has some aggressiveness controls that may help, and the 3.3.x server 
doesnt generally show the problem



Note You need to log in before you can comment on or make changes to this bug.